com.taosdata.jdbc.ws.tmq.meta

## Class MetaDeleteData

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta
  - - com.taosdata.jdbc.ws.tmq.meta.MetaDeleteData

    public class MetaDeleteData
    extends Meta

### Constructor Summary

Constructors
Constructor and Description
`MetaDeleteData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getSql()`
`int` `hashCode()`
`void` `setSql(String sql)`

### Methods inherited from class com.taosdata.jdbc.ws.tmq.meta.Meta

`getTableName, getTableType, getType, setTableName, setTableType, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaDeleteData

    public MetaDeleteData()

### Method Detail

#### getSql

    public String getSql()

#### setSql

    public void setSql(String sql)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Meta`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Meta`